#
# spec file for package python3-extras
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Tests should be run on a local build on each update; Don't enable them on OBS
# as it causes a build cycle between python3-testtools and python3-extras
%bcond_with tests

Name:           python3-extras
Version:        0.0.3
Release:        13.1
Summary:        Useful extra bits for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/testing-cabal/extras
Source:         http://pypi.python.org/packages/source/e/extras/extras-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
# Test requirements:
BuildRequires:  python3-nose
BuildRequires:  python3-testtools
%endif
# Break cycle
#!BuildIgnore:  python3-extras
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.

%prep
%setup -q -n extras-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if %{with tests}
%check
nosetests-%{py3_ver}
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README.rst
%{python3_sitelib}/extras-%{version}-py%{py3_ver}.egg-info/
%{python3_sitelib}/extras

%changelog
* Fri Feb 27 2015 dimstar@opensuse.org
- Introduce tests build condition (disabled by default): only
  conditionally BuildRequire python3-testtools and
  python3-nosetests, as this causes a cycle (python3-testtools
  depends on python3-extras).
- Add python3-setuptools BuildRequires: it happened to be implicit
  by another dep.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Sun Mar  2 2014 schwab@suse.de
- Break cycle with itself
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Tue Aug 13 2013 speilicke@suse.com
- Only require 2to3 on 12.2
* Fri May  3 2013 speilicke@suse.com
- Initial version
